Summary: GPL public key crypto
Name: gnupg
Version: 1.0.7
Release: 2tr
License: GPL
Group: Environment/Cryptography
Source: ftp://ftp.gnupg.org/pub/gcrypt/%{name}/%{name}-%{version}.tar.gz
Source1: gpg-trustix-sign
Patch1: gnupg-1.0.7-key-validation.patch
URL: http://www.gnupg.org
Provides: gpg openpgp gnupg
Prereq: zlib
BuildRoot: /var/tmp/%{name}-root

%description
GnuPG is a complete and free replacement for PGP. Because it does not
use IDEA it can be used without any restrictions. GnuPG is in compliance
with the OpenPGP specification (RFC2440).

%prep
%setup
%patch1 -p0

%build
if test -n "$LINGUAS"; then
 unset LINGUAS
fi    
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--disable-ldap \
		--mandir=/usr/share/man
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT \
		prefix=/usr \
		mandir=/usr/share/man \
		sysconfdir=/etc

mkdir -p $RPM_BUILD_ROOT/usr/lib/%{name}
install -m644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/%{name}/gpg-trustix-sign

%post
# Dummy gpg-run to create directory if new install... Silly but nessecary.
/usr/bin/gpg >/dev/null </dev/null 2>&1

# Import the TSL-sign-key
/usr/bin/gpg --import /usr/lib/gnupg/gpg-trustix-sign >/dev/null 2>&1 </dev/null

# Need to take care of a leftover during install where HOME == /
if [ -d /.gnupg -a ! -d /root/.gnupg ]; then
   mv /.gnupg /root
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc INSTALL AUTHORS COPYING ChangeLog NEWS README THANKS TODO PROJECTS 
%doc doc/* g10/*
#doc/DETAILS doc/FAQ doc/HACKING doc/OpenPGP g10/pubring.asc g10/OPTIONS
%attr (0755,root,root) /usr/bin/gpg
%attr (0755,root,root) /usr/bin/gpgv

/usr/share/man/man1/*
/usr/share/locale/*/LC_MESSAGES/%{name}.mo
/usr/lib/%{name}
/usr/share/%{name}

%changelog
* Thu Nov 13 2003 Chr. Toldnes <christht at trustix dot org> 1.2.2-12tr
- New Trustix Key

* Wed Jun 18 2003 Chr. Toldnes <christht at trustix dot com> 1.2.2-1tr
- New upstream version: 1.0.7
- security patch: patch1

* Fri Mar  1 2002 Christian H. Toldnes <christht at trustix dot com>
- gpg-trustix-sign update.
- Package cleanup.

* Tue Jun  5 2001 Erlend Midttun <erlendbm at trustix dot com>
- As pointed out by Bruno Postle, RSA is now supported.

* Thu May 31 2001 Erlend Midttun <erlendbm at trustix dot com>
- Upgraded to 1.0.6 to fix format string bug.

* Wed Dec 20 2000 Oystein Viggen <oysteivi at trustix dot com>
- Import two patches from RH to fix bugs with importing private keys and
  checking detached signatures.

* Fri Oct 27 2000 Erlend Midttun <erlendbm at trustix dot com>
- Some mv error in spec file breaking upgrade.

* Wed Oct 18 2000 Erlend Midttun <erlendbm at trustix dot com>
- Picked up 1.0.4 which fixes a bug with regards to serveral signatures
  in the same file.  Bugtraq.

* Fri Sep 15 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up 1.02

* Fri Jun 16 2000 Oystein Viggen <oysteivi at trustix dot com>
- fix a slight bug in adding the public key to the chain
- hack around bogosity with roots homedir being / during install

* Thu May 03 2000 Lars Gaarden <larsg at trustix dot com>
- added the Trustix public signature key

* Sat May 29 1999 Fabio Coatti <cova@ferrara.linux.it>
- Some corrections in French description, thanks to 
  Gal Quri <gqueri@mail.dotcom.fr>  

* Mon May 17 1999 Fabio Coatti <cova@felix.unife.it>
- Added French description, provided by 
  Christophe Labouisse <labouiss@cybercable.fr>

* Thu May 06 1999 Fabio Coatti <cova@felix.unife.it> 
- Upgraded for 0.9.6 (removed gpgm)

* Tue Jan 12 1999 Fabio Coatti <cova@felix.unife.it>
- LINGUAS variable is now unset in configure to ensure that all
  languages will be built. (Thanks to Luca Olivetti <luca@luca.ddns.org>)
 
* Sat Jan 02 1999 Fabio Coatti <cova@felix.unife.it>
- Added pl language file.
- Included g10/pubring.asc in documentation files.

* Sat Dec 19 1998 Fabio Coatti <cova@felix.unife.it>
- Modified the spec file provided by Caskey L. Dickson 
  <caskey-at-technocage.com>
- Now it can be built also by non-root. Installation has to be done as
  root, gpg is suid.
- Added some changes by  Ross Golder <rossigee@bigfoot.com>
- Updates for version 0.4.5 of GnuPG (.mo files)

